//隐私政策
import 'package:flutter/material.dart';
import 'package:sport/widgets/appbar.dart';

class PrivacypolicyPage extends StatefulWidget {
  @override
  State<StatefulWidget> createState() => _PageState();
}

class _PageState extends State<PrivacypolicyPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: CustomScrollView(
        slivers: <Widget>[
          SliverAppBar(
            pinned: true,
            elevation: 0,
            expandedHeight: 140.0,
            leading: buildBackButton(context),
            flexibleSpace: FlexibleSpaceBar(
              title: Text(
                "《隐私政策》",
                style: titleStyle,
              ),
            ),
          ),
          SliverToBoxAdapter(
            child: Padding(
              padding: const EdgeInsets.all(12.0),
              child: RichText(
                text: TextSpan(style: TextStyle(fontSize: 16, color: Color(0xff333333)),
                    children: <InlineSpan>[
                      TextSpan(text: '引言：\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t“智能鞋app”非常重视你的个人信息，并让你对个人信息拥有控制权，我们会使用强大的加密技术来保护你的隐私，同时制定严格的政策来管理所有数据。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '以下将帮助你了解隐私政策：\n\n'),
                      TextSpan(text: '（1）为了保障产品的正常运行，我们会收集你的部分必要信息；\n\n'),
                      TextSpan(text: '（2）在你进行注册认证或使用基于地理位置的服务时，基于法律要求或实现功能所必须，我们可能会收集姓名、身份证号码、联络方式、通讯录、音视频文件、地理位置等个人敏感信息。你有权拒绝向我们提供这些信息，或者撤回你对这些信息的授权同意。请你了解，拒绝或撤回授权同意，将导致你无法使用相关的特定功能，但不影响你使用应用程序的其他功能；\n\n'),
                      TextSpan(text: '（3）我们会将在境内运营过程中收集和产生的你的个人信息存储于中华人民共和国境内，并不会将上述信息传输至境外。我们仅会在为提供应用程序及相关服务之目的所必需的期间内保留你的个人信息；\n\n'),
                      TextSpan(text: '（4）我们不会向第三方共享、提供、转让或者从第三方获取你的个人信息，除非经过你的同意；\n\n'),
                      TextSpan(text: '（5）我们将努力采取合理的安全措施来保护你的个人信息。特别的，我们将采用行业内通行的方式及尽最大的商业努力来保护你个人敏感信息的安全；\n\n'),
                      TextSpan(text: '（6）你访问、更正、删除个人信息与撤回同意授权的方式，以及注销账号、投诉举报的方式。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t如你未明示同意本隐私政策并开始使用，我们将仅收集能够支持当下服务的信息，这将导致我们无法为你提供完整的产品和服务，但我们同样会采用去标识化、加密等措施来保护这些信息。如果你不同意本隐私政策，我们无法为你提供完整的产品和服务，你也可以选择停止使用。当你选择继续或再次使用时，基于提供产品和服务所必需，将视为你接受和认可我们按照本政策对你的相关信息进行处理。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们非常重视用户个人信息的保护，并且将以勤勉和审慎的义务对待这些信息。你在下载、安装、开启、浏览、注册、登录、使用（以下统称“使用”）“智能鞋app”及相关服务时，我们将按照本《隐私政策》收集、保存、使用、共享、披露及保护你的个人信息。我们希望通过本《隐私政策》向你介绍我们对你个人信息的处理方式，因此我们建议你认真完整地阅读本《隐私政策》的所有条款。其中，与你信息及权利相关的内容将以加粗的形式提示你注意，请你重点阅读。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '本隐私政策旨在帮助你了解以下内容：\n\n'),
                      TextSpan(text: '一、我们如何收集和使用个人信息\n\n'),
                      TextSpan(text: '二、我们对Cookie和同类技术的使用\n\n'),
                      TextSpan(text: '三、我们如何存储个人信息\n\n'),
                      TextSpan(text: '四、我们如何共享、转让、公开披露个人信息\n\n'),
                      TextSpan(text: '五、我们如何保护个人信息的安全\n\n'),
                      TextSpan(text: '六、你的权利\n\n'),
                      TextSpan(text: '七、隐私政策的修订和通知\n\n'),
                      TextSpan(text: '八、适用范围\n\n'),
                      TextSpan(text: '九、其他\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '一、【我们如何收集和使用个人信息】\n\n'),
                      TextSpan(text: '在你使用“智能鞋app”及服务的过程中，我们将根据合法、正当、必要的原则，收集信息。我们收集或请你提供的信息将用于：\n\n'),
                      TextSpan(text: '1.保障产品的基础正常运行；\n\n'),
                      TextSpan(text: '2.实现各项功能和服务；\n\n'),
                      TextSpan(text: '3.优化、改善产品和服务；\n\n'),
                      TextSpan(text: '4.保障产品、服务以及用户使用安全；\n\n'),
                      TextSpan(text: '5.遵循法律法规与国家标准的规定。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（一）我们主动收集与使用的个人信息\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们会按照如下方式收集你在使用服务时主动提供的，以及你在使用功能或接受服务过程中产生的信息：\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t当你使用“智能鞋app”及相关服务时，为了保障应用程序与服务的正常运行，我们会收集你的硬件型号、操作系统版本号、国际移动设备识别码（IMEI）、网络设备硬件地址（MAC）、IP地址、应用程序版本号、网络接入方式及类型、操作日志等信息。请你了解，这些信息是我们提供服务和保障产品正常运行所必须收集的基本信息。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）收集、使用个人信息目的变更的处理\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t请你了解，随着我们业务的发展，可能会对“智能鞋app”的功能和提供的服务有所调整变化。在与原目的无直接或合理关联的场景下，我们收集、使用你的个人信息，会再次进行告知，并征得你的同意。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（三）依法豁免征得同意收集和使用的个人信息\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t请你理解，在下列情形中，根据法律法规及相关国家标准，我们收集和使用你的个人信息无需征得你的授权同意\n\n'),
                      TextSpan(text: '（1）与国家安全、国防安全直接相关的；\n\n'),
                      TextSpan(text: '（2）与公共安全、公共卫生、重大公共利益直接相关的；\n\n'),
                      TextSpan(text: '（3）与犯罪侦查、起诉、审判和判决执行等直接相关的；\n\n'),
                      TextSpan(text: '（4）出于维护个人信息主体或其他个人的生命、财产等重大合法权益但又很难得到本人同意的；\n\n'),
                      TextSpan(text: '（5）所收集的你的个人信息是你自行向社会公众公开的；\n\n'),
                      TextSpan(text: '（6）从合法公开披露的信息中收集的你的个人信息的，如合法的新闻报道、政府信息公开等渠道；\n\n'),
                      TextSpan(text: '（7）根据你的要求签订或履行合同所必需的；\n\n'),
                      TextSpan(text: '（8）用于维护“智能鞋app”应用程序及相关服务的安全稳定运行所必需的，例如发现、处置“智能鞋app”及相关服务的故障；\n\n'),
                      TextSpan(text: '（9）为合法的新闻报道所必需的；\n\n'),
                      TextSpan(text: '（10）学术研究机构基于公共利益开展统计或学术研究所必要，且对外提供学术研究或描述的结果时，对结果中所包含的个人信息进行去标识化处理的；\n\n'),
                      TextSpan(text: '（11）法律法规规定的其他情形。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t特别提示你注意，如信息无法单独或结合其他信息识别到你的个人身份，其不属于法律意义上你的个人信息；当你的信息可以单独或结合其他信息识别到你的个人身份时或我们将无法与任何特定个人信息建立联系的数据与其他你的个人信息结合使用时，则在结合使用期间，这些信息将作为你的个人信息按照本隐私政策处理与保护。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '二、【对Cookie和同类技术的使用】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\tCookie和同类技术是互联网中的通用常用技术。当你使用“智能鞋app”及相关服务时，我们可能会使用相关技术向你的设备发送一个或多个Cookie或匿名标识符，以收集和存储你访问、使用本产品时的信息。我们使用Cookie和同类技术主要为了实现以下功能或服务：\n\n'),
                      TextSpan(text: '（一）保障产品与服务的安全、高效运转\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们可能会设置认证与保障安全性的cookie或匿名标识符，使我们确认你是否安全登录服务，或者是否遇到盗用、欺诈等不法行为。这些技术还会帮助我们改进服务效率，提升登录和响应速度。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）帮助你获得更轻松的访问体验\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t使用此类技术可以帮助你省去重复你填写个人信息、输入搜索内容的步骤和流程（例如：实现一键登录流程、记录搜索历史）。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们承诺，我们不会将Cookie用于本隐私政策所述目的之外的任何其他用途。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '三、【我们如何存储个人信息】\n\n'),
                      TextSpan(text: '（一）信息存储的地点\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们依照法律法规的规定，将在境内运营过程中收集和产生的你的个人信息存储于中华人民共和国境内。目前，我们不会将上述信息传输至境外，如果我们向境外传输，我们将会遵循法律法规的规定，征求你的明示同意。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）存储期限\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们仅在为提供“智能鞋app”及服务之目的所必需的期间内保留你的个人信息。超出必要期限后，我们将对你的个人信息进行删除或匿名化处理，但法律法规另有规定的除外。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '四、【我们如何共享、转让、公开披露个人信息】\n\n'),
                      TextSpan(text: '（一）个人信息的共享、转让\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们不会向第三方共享、转让你的个人信息，除非经过你本人事先授权同意，或者共享、转让的个人信息是去标识化处理后的信息，且共享第三方无法重新识别此类信息的自然人主体。\n\n'),
                      TextSpan(text: '1.在下列情况下，经过你的自主选择同意，我们可能会共享的个人信息\n\n'),
                      TextSpan(text: '（1）为实现程序化广告推送，我们可能会与广告合作伙伴共享去标识化或匿名化处理后的信息\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们可能与委托我们进行推广和广告投放的合作伙伴共享信息，但我们不会分享用于识别你个人身份的信息，例如你的姓名、身份证号等，仅会向这些合作伙伴提供难以识别你个人身份的用户画像标签及去标识化或匿名化后的统计类信息，以帮助其在不识别你个人身份的前提下提升广告有效触达率。\n\n'),
                      TextSpan(text: '（2）为实现特定功能而与业务合作伙伴共享\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t当应用程序服务提供商、智能设备提供商或系统服务提供商与我们联合为你提供服务时，例如你需要使用地理位置功能时，为实现这一功能，我们可能会收集你的位置信息及相关设备信息（例如硬件型号、操作系统版本号、国际移动设备身份识别码（IMEI）、网络设备硬件地址（MAC））经过去标识化后并提供给前述提供商。你可以拒绝提供此类信息，但不影响你使用其他服务。\n\n'),
                      TextSpan(text: '2.对共享个人信息第三方主体的谨慎评估及责任约束\n\n'),
                      TextSpan(text: '（1）经你同意，我们只会与第三方共享实现目的所必要的信息。如果第三方因业务需要，确需超出前述授权范围使用个人信息的，该第三方将需再次征求你的自主选择同意。\n\n'),
                      TextSpan(text: '（2）对我们与之共享你个人信息的第三方，该些第三方会与我们签订保密协议。同时，我们会对其数据安全能力与环境进行评估并要求第三方以不低于本隐私政策所要求的保密和安全措施来处理该些信息。\n\n'),
                      TextSpan(text: '3.收购、兼并、重组时个人信息的转让\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t随着我们业务的持续发展，我们将有可能进行合并、收购、资产转让，你的个人信息有可能因此而被转移。在发生前述变更时，我们将按照法律法规及不低于本隐私政策所要求的安全标准继续保护或要求个人信息的继受方继续保护你的个人信息，否则我们将要求继受方重新征得你的授权同意。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）个人信息的公开披露\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t除对违规账号、欺诈行为进行处罚公告时，我们会披露相关账号的必要信息外，我们不会公开披露你的信息，除非遵循国家法律法规规定或者获得你的自主选择同意。我们公开披露你的个人信息会采用符合行业内标准的安全保护措施。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（三）依法豁免征得同意共享、转让、公开披露的个人信息\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t请你理解，在下列情形中，根据法律法规及国家标准，我们共享、转让、公开披露你的个人信息无需征得你的授权同意\n\n'),
                      TextSpan(text: '（1）与国家安全、国防安全直接相关的；\n\n'),
                      TextSpan(text: '（2）与公共安全、公共卫生、重大公共利益直接相关的；\n\n'),
                      TextSpan(text: '（3）与犯罪侦查、起诉、审判和判决执行等直接相关的；\n\n'),
                      TextSpan(text: '（4）出于维护你或其他个人的生命、财产等重大合法权益但又很难得到你的同意的；\n\n'),
                      TextSpan(text: '（5）你自行向社会公众公开的个人信息；\n\n'),
                      TextSpan(text: '（6）从合法公开披露的信息中收集个人信息的，如合法的新闻报道、政府信息公开等渠道。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '五、【我们如何保护个人信息安全】\n\n'),
                      TextSpan(text: '（一）我们非常重视你个人信息的安全，将努力采取合理的安全措施（包括技术方面和管理方面）来保护你的个人信息，防止你提供的个人信息被不当使用或未经授权的情况下被访问、公开披露、使用、修改、损坏、丢失或泄漏。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）我们会使用不低于行业同行的加密技术、匿名化处理等合理可行的手段保护你的个人信息，并使用安全保护机制防止你的个人信息遭到恶意攻击。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（三）我们会建立专门的安全部门、安全管理制度、数据安全流程保障你的个人信息安全。我们采取严格的数据使用和访问制度，确保只有授权人员才可访问你的个人信息，并适时对数据和技术进行安全审计。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（四）尽管已经采取了上述合理有效措施，并已经遵守了相关法律规定要求的标准，但请你理解，由于技术的限制以及可能存在的各种恶意手段，在互联网行业，即便竭尽所能加强安全措施，也不可能始终保证信息百分之百的安全，我们将尽力确保你提供给我们的个人信息的安全性。你知悉并理解，你接入我们的服务所用的系统和通讯网络，有可能因我们可控范围外的因素而出现问题。因此，我们强烈建议你采取积极措施保护个人信息的安全，包括但不限于使用复杂密码、定期修改密码、不将自己的账号密码等个人信息透露给他人。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（五）我们会制定应急处理预案，并在发生用户信息安全事件时立即启动应急预案，努力阻止该等安全事件的影响和后果扩大。一旦发生用户信息安全事件（泄露、丢失等）后，我们将按照法律法规的要求，及时向你告知：安全事件的基本情况和可能的影响、我们已经采取或将要采取的处置措施、你可自主防范和降低风险的建议、对你的补救措施等。我们将及时将事件相关情况以推送通知、邮件、信函、短信等形式告知你，难以逐一告知时，我们会采取合理、有效的方式发布公告。同时，我们还将按照相关监管部门要求，上报用户信息安全事件的处置情况。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（六）我们谨此特别提醒你，本隐私政策提供的个人信息保护措施仅适用于“智能鞋app”及相关服务。一旦你离开“智能鞋app”及相关服务，浏览或使用其他网站、服务及内容资源，我们即没有能力及义务保护你在“智能鞋app”及相关服务之外的应用程序、网站提交的任何个人信息，无论你登录、浏览或使用上述应用程序、网站是否基于“智能鞋app”的链接或引导。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '六、【你的权利】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t我们非常重视你对个人信息的管理，并尽全力保护你对于你个人信息的访问、修改（更新或更正）、删除以及撤回授权同意的权利，以使你拥有充分的能力保障你的隐私和安全。\n\n'),
                      TextSpan(text: '（一）访问、更正、删除你的个人信息\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t你可以通过以下方式管理你的信息：\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t当你完成“智能鞋app”的账号注册、登录并进行合理和必要的身份验证后，你可以查阅、修改、删除你提交给“智能鞋app”及相关服务的个人信息（包括修改昵称、头像等）。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）管理你的信息\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t你可以在“智能鞋app”客户端中通过【设置】-【个人资料】，改变个人信息资料。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t请你理解，特定的业务功能和服务将需要你的信息才能得以完成，当你改变后，公司无法继续为你提供所对应的功能和服务，也不再处理你相应的个人信息。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（三）投诉举报\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t你可以按照我们公示的制度进行投诉或举报。如果你认为你的个人信息权利可能受到侵害，或者发现侵害个人信息权利的线索，你可以通过点击“我的”，进入问题反馈界面与我们联系。我们核查后会在30日内反馈你的投诉与举报。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（四）停止运营向你告知权利\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t如我们停止运营，我们将及时停止收集你个人信息的活动，将停止运营的通知以逐一送达或公告的形式通知你，并对所持有的你的个人信息进行删除或匿名化处理。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '七、【隐私政策的修订和通知】\n\n'),
                      TextSpan(text: '（一）为了给你提供更好的服务，“智能鞋app”及相关服务将不时更新与变化，我们会适时对本隐私政策进行修订，该等修订构成本隐私政策的一部分并具有等同于本隐私政策的效力。但未经你明确同意，我们不会削减你依据当前生效的本隐私政策所应享受的权利。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）本隐私政策更新后，我们会在“智能鞋app”应用程序客户端发出更新版本，并在更新后的条款生效前以适当的方式提醒你更新的内容，以便你及时了解本隐私政策的最新版本。如你继续使用我们的服务，表示同意接受修订后的本政策的内容，但是如果更新的内容需要采集音视频等个人敏感信息，仍会再次以显著方式征求你的同意。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（三）对于重大变更，我们还会提供更为显著的通知（我们会通过包括但不限于邮件、短信、私信或在浏览页面做特别提示等方式，说明隐私政策的具体变更内容）。\n\n'),
                      TextSpan(text: '本隐私政策所指的重大变更包括但不限于：\n\n'),
                      TextSpan(text: '1.我们的服务模式发生重大变化。如处理个人信息的目的、处理的个人信息的类型、个人信息的使用方式等；\n\n'),
                      TextSpan(text: '2.我们在所有权结构、组织架构等方面发生重大变化。如业务调整、破产并购等引起的所有变更等；\n\n'),
                      TextSpan(text: '3.个人信息共享、转让或公开披露的主要对象发生变化；\n\n'),
                      TextSpan(text: '4.你参与个人信息处理方面的权利及其行使方式发生重大变化；\n\n'),
                      TextSpan(text: '5.我们负责处理个人信息安全的责任部门、联络方式及投诉渠道发生变化时。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '八、【适用范围】\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本隐私权政策适用于由智能鞋app及其关联方提供的所有服务，包括应用程序客户端、网站等，不适用于有单独的隐私权政策且未纳入本隐私权政策的第三方产品或服务。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本隐私权政策不适用于：\n\n'),
                      TextSpan(text: '1.其他第三方产品或服务，可能包括在个性化推荐中向你显示的产品或网站和广告内容或者应用程序服务中链接到的其他产品或网站；\n\n'),
                      TextSpan(text: '2.为应用程序服务进行广告宣传的其他第三方。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t你使用这些第三方服务（包括你向这些第三方提供的任何个人信息），将受这些第三方的服务条款及隐私政策约束（而非本隐私政策），具体规定请你仔细阅读第三方的条款。请你妥善保护自己的个人信息，仅在必要的情况下向第三方提供。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t本隐私政策中所述的“智能鞋app”及相关服务有可能会根据你所使用的手机型号、系统版本、应用程序版本等因素而有所不同。最终的产品和服务以你所使用的“智能鞋app”及相关服务为准。\n\n'),
                      TextSpan(text: '\t\t\t\t\t\t\t\t如对本隐私政策内容有任何疑问、意见或建议，你可通过登录“智能鞋app”客户端内的“问题反馈”页面与我们联系。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '九、【其他】\n\n'),
                      TextSpan(text: '（一）本“隐私政策”中的标题仅为方便及阅读而设，并不影响本《隐私政策》中任何规定的含义或解释。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（二）本“隐私政策”相关词语释义：\n\n'),
                      TextSpan(text: '1.“智能鞋app”及相关服务是指公司及其关联方通过合法拥有并运营的手机客户端应用程序向你提供的产品与服务，包括但不限于浏览及推荐等功能。\n\n'),
                      TextSpan(text: '2.关联方是指，指一方现在或将来控制、受控制或与其处于共同控制下的任何公司、机构以及上述公司或机构的法定代表人。“控制”是指直接或间接地拥有影响所提及公司管理的能力，无论是通过所有权、有投票权的股份、合同或其他被依法认定的方式。\n\n'),
                      TextSpan(text: '3.个人信息是指，以电子或者其他方式记录的能够单独或者与其他信息结合识别特定自然人身份或者反映特定自然人活动情况的各种信息，包括个人身份信息（姓名、出生日期、身份证件号码，包括身份证、军官证、护照、驾驶证）、面部特征、地址、联系电话、通信录、网络身份识别信息（包括账号名、账号昵称、邮箱地址以及与前述有关的密码与密码保护问题和答案）；财产信息、交易信息、个人上网记录（网络浏览记录、点击记录等）、个人常用设备信息（包括硬件型号、设备MAC地址、操作系统类型、应用程序列表唯一设备识别码等在内的描述个人常用终端设备基本情况的信息）、个人位置信息等。\n\n'),
                      TextSpan(text: '4.个人敏感信息是指，一旦泄露、非法提供或滥用可能危害人身和财产安全，极易导致个人名誉、身心健康受到损害或歧视性待遇等的个人信息。本隐私政策中的个人敏感信息包括：包括个人身份信息（身份证件号码，包括身份证、军官证、护照、驾驶证）、面部识别特征；财产信息、交易信息；网络身份识别信息（包括账号名、账号昵称、邮箱地址以及与前述有关的密码与密码保护问题和答案）；其他信息（包括通信录、个人电话号码、行程信息、精准定位信息）。\n\n'),
                      TextSpan(text: '5.去标识化是指，通过对个人信息的技术处理，使其在不借助额外信息的情况下，无法识别个人信息主体的过程。\n\n'),
                      TextSpan(text: '6.匿名化是指，通过对个人信息的技术处理，使得个人信息主体无法被识别，且处理后的信息不能被复原的过程。\n\n'),
                      TextSpan(text: '\n'),
                      TextSpan(text: '（三）本“隐私政策”的版权为我们所有，在法律允许的范围内，我们拥有解释和修改的权利。\n\n'),
                    ]),
              ),
            ),
          )
        ],
      ),
    );
  }
}
